# $Revision: 1.22 $, $Date: 2002/09/19 12:13:58 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	File
%define		pnam	Tail
Summary:	File::Tail Perl module
Summary(cs):	Modul File::Tail pro Perl
Summary(da):	Perlmodul File::Tail
Summary(de):	File::Tail Perl Modul
Summary(es):	Mdulo de Perl File::Tail
Summary(fr):	Module Perl File::Tail
Summary(it):	Modulo di Perl File::Tail
Summary(ja):	File::Tail Perl ⥸塼
Summary(ko):	File::Tail  
Summary(no):	Perlmodul File::Tail
Summary(pl):	Modu Perla File::Tail
Summary(pt):	Mdulo de Perl File::Tail
Summary(pt_BR):	Mdulo Perl File::Tail
Summary(ru):	  Perl File::Tail
Summary(sv):	File::Tail Perlmodul
Summary(uk):	  Perl File::Tail
Summary(zh_CN):	File::Tail Perl ģ
Name:		perl-File-Tail
Version:	0.98
Release:	7
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRequires:	perl >= 5.6
BuildRequires:	perl-Time-HiRes
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
File::Tail - Perl tail.

%description -l pl
File::Tail - 'tail' dla Perla.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}
%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install logwatch select_demo $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitelib}/File/Tail.pm
# empty autosplit.ix
#%dir %{perl_sitelib}/auto/File
#%dir %{perl_sitelib}/auto/File/Tail
#%{perl_sitelib}/auto/File/Tail/autosplit.ix
%{_mandir}/man3/*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-File-Tail.spec,v $
Revision 1.22  2002/09/19 12:13:58  ankry
- added tests on bcond
- removed empty autosplit.ix
- release 7

Revision 1.21  2002/07/16 23:36:39  ankry
- translations, cleaning
- added %%{perl_sitelib}/auto/File dir
- demos moved to %%{_examplesdir}
- new %%doc
- release 6

Revision 1.20  2002/07/10 08:47:19  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.19  2002/05/11 14:28:08  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.18  2002/02/25 10:31:30  depesz
cleanup; revision++

Revision 1.17  2002/02/22 23:29:28  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/13 14:14:42  depesz
automatic: Source location unified, Relase Up

Revision 1.15  2002/02/10 15:26:26  depesz
adapterized

Revision 1.14  2002/01/18 02:14:18  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/11/28 15:20:16  mis
- buildarch noarch; release++

Revision 1.12  2001/04/17 12:09:06  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:06  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/02/14 01:55:25  kloczek
- updated to 0.98.

Revision 1.9  2001/01/04 00:19:06  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.8  2000/06/09 07:54:46  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:36  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/19 22:53:34  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:18  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:52  baggins
- translated kloczkish into english

Revision 1.3  2000/02/17 20:45:12  pius
- updated to 0.95

Revision 1.2  1999/11/05 16:52:52  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 19:29:03  pius
- initial release
